Tekla Open API

Detailed and full API reference helps you master Tekla Open API

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

CurvedDimensionSetHandlerCreateCurvedDimensionSetRadial Method (ViewBase, Point, Point, Point, PointList, Double, CurvedDimensionSetRadialCurvedDimensionSetRadialAttributes)

Creates a curved dimension set from the specified points and inserts it to the database.

Namespace:  Tekla.Structures.Drawing
Assembly:  Tekla.Structures.Drawing (in Tekla.Structures.Drawing.dll) Version: 2018.1.0.0 (2018.1.0.0)
Syntax
public CurvedDimensionSetRadial CreateCurvedDimensionSetRadial(
	ViewBase View,
	Point ArcPoint1,
	Point ArcPoint2,
	Point ArcPoint3,
	PointList DimensionPoints,
	double Distance,
	CurvedDimensionSetRadialCurvedDimensionSetRadialAttributes Attributes
)

Parameters

View
Type: Tekla.Structures.DrawingViewBase
The view to be used.
ArcPoint1
Type: Tekla.Structures.Geometry3dPoint
The first arc point to be used.
ArcPoint2
Type: Tekla.Structures.Geometry3dPoint
The second arc point to be used.
ArcPoint3
Type: Tekla.Structures.Geometry3dPoint
The third arc point to be used.
DimensionPoints
Type: Tekla.Structures.DrawingPointList
The dimension points to be used.
Distance
Type: SystemDouble
The distance to be used.
Attributes
Type: Tekla.Structures.DrawingCurvedDimensionSetRadialCurvedDimensionSetRadialAttributes
The attributes to be used.

Return Value

Type: CurvedDimensionSetRadial
The created dimension set or null if failed.
See Also